# Copyright 2014, Trimble Navigation Limited

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name        :   Simplify Contours 1.0
# Description :   Applying this command to a set of imported contour lines
#                 simplifies the geometry, making it easier to work with.
# Menu Item   :   Plugins->Simplify Contours
# Date        :   4/2/2013
# Type        :   Dialog
#-----------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

module Sketchup::Samples
module SimplifyContours

# Create the extension.
cont_ext = SketchupExtension.new 'Simplify Contours Tool',
                                 'su_simplify_contours/simplify_contours.rb'
cont_ext.description = 'Simplify Contours sample script from SketchUp.com'
cont_ext.version =  '1.1.1'
cont_ext.creator = "SketchUp"
cont_ext.copyright = "2014, Trimble Navigation Limited"

# Register the extension with Sketchup so it show up in the Preference panel.
Sketchup.register_extension cont_ext, true

end # module SimplifyContours
end # module Sketchup::Samples
